import { type Base, genBase } from "./_base"
import { type Doctor, genDoctor } from "./doctor"
import type { McuOrderItem } from "./mcu-order-item"

export interface McuOrder extends Base {
  encounter_id: number
  doctor_id: number
  doctor: Doctor
  status_code?: string
  specimenPickTime: string
  examinationDate: string
  number?: number
  temperature?: number
  mcuUrgencyLevel_code?: string
  items: McuOrderItem[]
}

export function genMcuOrder(): McuOrder {
  return {
    ...genBase(),
    encounter_id: 0,
    doctor_id: 0,
    doctor: genDoctor(),
    specimenPickTime: '',
    examinationDate: '',
    items: []
  }
}

